Tasks
Compozy Tasks HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
/api/agent/tasks/claim-nextHeader Parameters
Daemon-issued active session id
Daemon-issued session agent name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/agent/tasks/claim-next" \ -H "X-Compozy-Session-ID: string" \ -H "X-Compozy-Agent: string" \ -H "Content-Type: application/json" \ -d '{}'{ "claim": { "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "lease": { "claim_token_hash": "string", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "heartbeat_at": "2019-08-24T14:15:22Z", "lease_until": "2019-08-24T14:15:22Z", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "run_id": "string", "session_id": "string", "status": "queued", "task_id": "string" }, "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "task": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" } }}/api/agent/tasks/{run_id}/completePath Parameters
Task run id
Header Parameters
Daemon-issued active session id
Daemon-issued session agent name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/agent/tasks/string/complete" \ -H "X-Compozy-Session-ID: string" \ -H "X-Compozy-Agent: string" \ -H "Content-Type: application/json" \ -d '{}'{ "lease": { "claim_token_hash": "string", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "heartbeat_at": "2019-08-24T14:15:22Z", "lease_until": "2019-08-24T14:15:22Z", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "run_id": "string", "session_id": "string", "status": "queued", "task_id": "string" }}/api/agent/tasks/{run_id}/failPath Parameters
Task run id
Header Parameters
Daemon-issued active session id
Daemon-issued session agent name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/agent/tasks/string/fail" \ -H "X-Compozy-Session-ID: string" \ -H "X-Compozy-Agent: string" \ -H "Content-Type: application/json" \ -d '{ "error": "string" }'{ "lease": { "claim_token_hash": "string", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "heartbeat_at": "2019-08-24T14:15:22Z", "lease_until": "2019-08-24T14:15:22Z", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "run_id": "string", "session_id": "string", "status": "queued", "task_id": "string" }}/api/agent/tasks/{run_id}/heartbeatPath Parameters
Task run id
Header Parameters
Daemon-issued active session id
Daemon-issued session agent name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/agent/tasks/string/heartbeat" \ -H "X-Compozy-Session-ID: string" \ -H "X-Compozy-Agent: string" \ -H "Content-Type: application/json" \ -d '{}'{ "lease": { "claim_token_hash": "string", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "heartbeat_at": "2019-08-24T14:15:22Z", "lease_until": "2019-08-24T14:15:22Z", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "run_id": "string", "session_id": "string", "status": "queued", "task_id": "string" }}/api/agent/tasks/{run_id}/releasePath Parameters
Task run id
Header Parameters
Daemon-issued active session id
Daemon-issued session agent name
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/agent/tasks/string/release" \ -H "X-Compozy-Session-ID: string" \ -H "X-Compozy-Agent: string" \ -H "Content-Type: application/json" \ -d '{}'{ "lease": { "claim_token_hash": "string", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "heartbeat_at": "2019-08-24T14:15:22Z", "lease_until": "2019-08-24T14:15:22Z", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "run_id": "string", "session_id": "string", "status": "queued", "task_id": "string" }}/api/observe/tasks/dashboardQuery Parameters
Filter by task scope
Value in
- "global"
- "workspace"
Filter by workspace path, name, or ID
Filter by owner kind
Value in
- "human"
- "agent_session"
- "automation"
- "extension"
- "network_peer"
- "pool"
Filter by owner reference
Filter by resolved participation channel
Filter by task origin kind
Value in
- "cli"
- "web"
- "uds"
- "http"
- "automation"
- "extension"
- "network"
- "agent_session"
- "daemon"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/observe/tasks/dashboard"{ "dashboard": { "active_runs": { "claimed": 0, "items": [ { "age_ms": 0, "attempt": 0, "error": "string", "health_status": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "run_id": "string", "run_status": "queued", "scope": "global", "session_id": "string", "stuck": true, "task_id": "string", "task_identifier": "string", "task_owner": { "kind": "human", "ref": "string" }, "task_priority": "low", "task_status": "draft", "task_title": "string", "workspace_id": "string" } ], "queued": 0, "running": 0, "starting": 0, "total": 0 }, "cards": { "blocked": { "awaiting_approval": 0, "awaiting_dependencies": 0, "health_status": "string", "tasks": 0 }, "failed": { "failed_runs": 0, "forced_stops": 0, "health_status": "string", "tasks": 0 }, "in_progress": { "active_runs": 0, "claimed_runs": 0, "health_status": "string", "queued_runs": 0, "running_runs": 0, "starting_runs": 0, "tasks": 0 }, "latency": { "claim_latency_ms": { "average_ms": 0, "maximum_ms": 0, "samples": 0 }, "start_latency_ms": { "average_ms": 0, "maximum_ms": 0, "samples": 0 } } }, "freshness": { "age_ms": 0, "has_live_work": true, "latest_activity_at": "2019-08-24T14:15:22Z", "observed_at": "2019-08-24T14:15:22Z", "stale": true, "stale_after_ms": 0, "status": "string" }, "health": { "active_orphan_runs": 0, "queue_backlog": true, "status": "string", "stuck_runs": 0 }, "queue": { "backlog_status": "string", "backlog_threshold_ms": 0, "backlog_warning": true, "depth": [ { "channel_id": "string", "count": 0, "oldest_queue_age_ms": 0, "oldest_queued_at": "2019-08-24T14:15:22Z" } ], "oldest_queue_age_ms": 0, "oldest_queued_at": "2019-08-24T14:15:22Z", "total": 0 }, "status_breakdown": [ { "count": 0, "share_percent": 0, "status": "draft" } ], "totals": { "active_runs": 0, "awaiting_approval_tasks": 0, "blocked_tasks": 0, "canceled_runs": 0, "canceled_tasks": 0, "claimed_runs": 0, "completed_runs": 0, "completed_tasks": 0, "dependency_blocked_tasks": 0, "draft_tasks": 0, "failed_runs": 0, "failed_tasks": 0, "in_progress_tasks": 0, "pending_tasks": 0, "queued_runs": 0, "ready_tasks": 0, "running_runs": 0, "runs_total": 0, "starting_runs": 0, "tasks_total": 0 } }}/api/observe/tasks/inboxQuery Parameters
Filter by task scope
Value in
- "global"
- "workspace"
Filter by workspace path, name, or ID
Filter by owner kind
Value in
- "human"
- "agent_session"
- "automation"
- "extension"
- "network_peer"
- "pool"
Filter by owner reference
Filter by inbox lane
Value in
- "my_work"
- "approvals"
- "failed_runs"
- "blocked"
- "archived"
Filter by canonical task status
Value in
- "draft"
- "pending"
- "blocked"
- "needs_attention"
- "ready"
- "in_progress"
- "completed"
- "failed"
- "canceled"
Filter by task priority
Value in
- "low"
- "medium"
- "high"
- "urgent"
Filter by unread state; false selects read items
Filter by task title or identifier
Opaque actor- and query-bound continuation cursor
Page size from 1 to 200 (default 50)
int32Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/observe/tasks/inbox"{ "inbox": { "archived_total": 0, "facets": { "priorities": [ { "count": 0, "priority": "low" } ], "statuses": [ { "count": 0, "status": "draft" } ] }, "groups": [ { "count": 0, "items": [ { "approval_policy": "none", "approval_state": "not_required", "blocking_reason": "string", "lane": "my_work", "latest_activity_at": "2019-08-24T14:15:22Z", "run": { "attempt": 0, "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "task": { "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "triage": { "actor": { "kind": "human", "ref": "string" }, "archived": true, "dismissed": true, "last_seen_activity_at": "2019-08-24T14:15:22Z", "read": true, "task_id": "string", "updated_at": "2019-08-24T14:15:22Z" } } ], "lane": "my_work", "unread_count": 0 } ], "page": { "has_more": true, "limit": 0, "next_cursor": "string", "total": 0 }, "unread_total": 0 }}/api/runs/bulk/failRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/runs/bulk/fail" \ -H "Content-Type: application/json" \ -d '{ "run_ids": [ "string" ] }'{ "results": [ { "error": { "diagnostic": { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" }, "error": "string" }, "ok": true, "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "run_id": "string" } ]}/api/runs/bulk/releaseRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/runs/bulk/release" \ -H "Content-Type: application/json" \ -d '{ "run_ids": [ "string" ] }'{ "results": [ { "error": { "diagnostic": { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" }, "error": "string" }, "ok": true, "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "run_id": "string" } ]}/api/runs/{id}/failPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/runs/string/fail" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/runs/{id}/inspectPath Parameters
Task run id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/runs/string/inspect"{ "inspect": { "as_of": "2019-08-24T14:15:22Z", "bound_session": { "agent_name": "string", "failure_kind": "string", "last_activity_at": "2019-08-24T14:15:22Z", "provider_name": "string", "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "state": "string", "stop_reason": "string", "workspace_id": "string" }, "current_run": { "attempt": 0, "bound_session_id": "string", "claim_token_hash_truncated": "string", "ended_at": "2019-08-24T14:15:22Z", "failure_kind": "string", "heartbeat_age_seconds": 0, "heartbeat_at": "2019-08-24T14:15:22Z", "last_error_summary": "string", "lease_until": "2019-08-24T14:15:22Z", "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "retries": 0, "run_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "diagnostics": [ { "category": "string", "code": "string", "data_freshness": "string", "doc_url": "string", "evidence": { "property1": null, "property2": null }, "id": "string", "message": "string", "severity": "string", "suggested_command": "string", "title": "string" } ], "next_action": "string", "recent_events": [ { "id": "string", "outcome": "string", "run_id": "string", "session_id": "string", "summary": "string", "task_id": "string", "timestamp": "2019-08-24T14:15:22Z", "type": "string" } ], "recent_runs": [ { "attempt": 0, "bound_session_id": "string", "claim_token_hash_truncated": "string", "ended_at": "2019-08-24T14:15:22Z", "failure_kind": "string", "heartbeat_age_seconds": 0, "heartbeat_at": "2019-08-24T14:15:22Z", "last_error_summary": "string", "lease_until": "2019-08-24T14:15:22Z", "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "retries": 0, "run_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" } ], "scheduler": { "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "reason": "string", "updated_at": "2019-08-24T14:15:22Z" }, "target": "string", "task": { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } }}/api/runs/{id}/recoverPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/runs/string/recover" \ -H "Content-Type: application/json" \ -d '{}'{ "previous_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/runs/{id}/releasePath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/runs/string/release" \ -H "Content-Type: application/json" \ -d '{}'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/runs/{id}/retryPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/runs/string/retry" \ -H "Content-Type: application/json" \ -d '{}'{ "previous_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}curl -X GET "https://example.com/api/scheduler"{ "scheduler": { "active_claim_count": 0, "as_of": "2019-08-24T14:15:22Z", "needs_attention_run_count": 0, "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_reason": "string", "paused_task_count": 0, "queued_run_count": 0, "starved_run_count": 0 }}/api/scheduler/backlogQuery Parameters
Maximum number of queued runs to return
int32Filter by catalog visibility
Value in
- "all"
- "global"
- "workspace"
Filter by workspace path, name, or ID
Include runs blocked by task pause state
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/scheduler/backlog"{ "backlog": { "runs": [ { "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "task": { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } } ], "total": 0 }}/api/scheduler/drainRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/scheduler/drain" \ -H "Content-Type: application/json" \ -d '{}'{ "completed": true, "completed_at": "2019-08-24T14:15:22Z", "remaining_claims": 0, "scheduler": { "active_claim_count": 0, "as_of": "2019-08-24T14:15:22Z", "needs_attention_run_count": 0, "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_reason": "string", "paused_task_count": 0, "queued_run_count": 0, "starved_run_count": 0 }, "started_at": "2019-08-24T14:15:22Z", "timed_out": true}/api/scheduler/pauseRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/scheduler/pause" \ -H "Content-Type: application/json" \ -d '{}'{ "scheduler": { "active_claim_count": 0, "as_of": "2019-08-24T14:15:22Z", "needs_attention_run_count": 0, "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_reason": "string", "paused_task_count": 0, "queued_run_count": 0, "starved_run_count": 0 }}/api/scheduler/resumeRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/scheduler/resume" \ -H "Content-Type: application/json" \ -d '{}'{ "scheduler": { "active_claim_count": 0, "as_of": "2019-08-24T14:15:22Z", "needs_attention_run_count": 0, "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_reason": "string", "paused_task_count": 0, "queued_run_count": 0, "starved_run_count": 0 }}/api/task-reviews/{id}Path Parameters
Review id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/task-reviews/string"{ "review": { "attempt": 0, "confidence": 0, "created_at": "2019-08-24T14:15:22Z", "deadline_at": "2019-08-24T14:15:22Z", "delivery_id": "string", "missing_work": null, "next_round_guidance": "string", "outcome": "approved", "parent_review_id": "string", "policy": "none", "reason": "string", "requested_at": "2019-08-24T14:15:22Z", "review_id": "string", "review_round": 0, "review_text": "string", "reviewed_at": "2019-08-24T14:15:22Z", "reviewed_by": { "kind": "human", "ref": "string" }, "reviewer_agent_name": "string", "reviewer_channel_id": "string", "reviewer_peer_id": "string", "reviewer_session_id": "string", "routed_at": "2019-08-24T14:15:22Z", "run_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "requested", "task_id": "string", "updated_at": "2019-08-24T14:15:22Z" }}/api/task-reviews/{id}/verdictPath Parameters
Review id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/task-reviews/string/verdict" \ -H "Content-Type: application/json" \ -d '{ "run_id": "string", "verdict": { "confidence": 0, "delivery_id": "string", "outcome": "approved", "reason": "string" } }'{ "circuit_opened": true, "continuation_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "review": { "attempt": 0, "confidence": 0, "created_at": "2019-08-24T14:15:22Z", "deadline_at": "2019-08-24T14:15:22Z", "delivery_id": "string", "missing_work": null, "next_round_guidance": "string", "outcome": "approved", "parent_review_id": "string", "policy": "none", "reason": "string", "requested_at": "2019-08-24T14:15:22Z", "review_id": "string", "review_round": 0, "review_text": "string", "reviewed_at": "2019-08-24T14:15:22Z", "reviewed_by": { "kind": "human", "ref": "string" }, "reviewer_agent_name": "string", "reviewer_channel_id": "string", "reviewer_peer_id": "string", "reviewer_session_id": "string", "routed_at": "2019-08-24T14:15:22Z", "run_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "requested", "task_id": "string", "updated_at": "2019-08-24T14:15:22Z" }}/api/task-runs/{id}Path Parameters
Task run id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/task-runs/string"{ "run": { "network": { "conversation": { "channel": "string", "stream_url": "string", "surface": "string", "thread_id": "string", "workspace_id": "string" }, "usage": { "budget": { "exhausted_reason": "string", "input_tokens_used": 0, "output_tokens_used": 0, "participation_status": { "available": true, "owner": { "id": "string", "kind": "session", "workspace_id": "string" }, "participating": true, "reason": "string" }, "updated_at": "2019-08-24T14:15:22Z", "wakes_used": 0, "wall_time_used": "string" }, "details": [ { "channel": "string", "charged_wall_time": "string", "depth": 0, "input_tokens": 0, "output_tokens": 0, "participation_status": { "available": true, "owner": { "id": "string", "kind": "session", "workspace_id": "string" }, "participating": true, "reason": "string" }, "reason": "string", "reserved_at": "2019-08-24T14:15:22Z", "root_id": "string", "settled_at": "2019-08-24T14:15:22Z", "state": "string", "task_run_id": "string", "usage_state": "string", "wake_id": "string", "workspace_id": "string" } ], "next_cursor": "string", "total": { "actual_wake_count": 0, "charged_wall_time": "string", "input_tokens": 0, "output_tokens": 0, "reserved_wake_count": 0, "unavailable_wake_count": 0, "wake_count": 0 }, "workspace_id": "string" } }, "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "session": { "agent_name": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "session_id": "string", "state": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" }, "summary": { "cost_currency": "string", "cost_source": "agent_reported", "cost_status": "actual", "input_tokens": 0, "last_activity_at": "2019-08-24T14:15:22Z", "last_event_type": "string", "output_tokens": 0, "tool_call_count": 0, "total_cost": 0, "total_tokens": 0, "turn_count": 0 }, "task": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" } }}/api/task-runs/{id}/attach-sessionPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/task-runs/string/attach-session" \ -H "Content-Type: application/json" \ -d '{ "session_id": "string" }'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/task-runs/{id}/cancelPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/task-runs/string/cancel" \ -H "Content-Type: application/json" \ -d '{}'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/task-runs/{id}/completePath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/task-runs/string/complete" \ -H "Content-Type: application/json" \ -d '{}'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/task-runs/{id}/conversation/streamPath Parameters
Task run id
Query Parameters
Replay messages after this message id
Response Body
text/event-stream
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/task-runs/string/conversation/stream"{ "message": { "body": null, "causation_id": "string", "channel": "string", "direct_id": "string", "direction": "string", "display_name": "string", "intent": "string", "kind": "string", "local": true, "mentions": [ "string" ], "message_id": "string", "peer_from": "string", "peer_to": "string", "preview_text": "string", "reply_to": "string", "session_id": "string", "size_bytes": 0, "surface": "string", "text": "string", "thread_id": "string", "timestamp": "2019-08-24T14:15:22Z", "trace_id": "string", "work_id": "string", "workspace_id": "string" }, "usage": { "budget": { "exhausted_reason": "string", "input_tokens_used": 0, "output_tokens_used": 0, "participation_status": { "available": true, "owner": { "id": "string", "kind": "session", "workspace_id": "string" }, "participating": true, "reason": "string" }, "updated_at": "2019-08-24T14:15:22Z", "wakes_used": 0, "wall_time_used": "string" }, "details": [ { "channel": "string", "charged_wall_time": "string", "depth": 0, "input_tokens": 0, "output_tokens": 0, "participation_status": { "available": true, "owner": { "id": "string", "kind": "session", "workspace_id": "string" }, "participating": true, "reason": "string" }, "reason": "string", "reserved_at": "2019-08-24T14:15:22Z", "root_id": "string", "settled_at": "2019-08-24T14:15:22Z", "state": "string", "task_run_id": "string", "usage_state": "string", "wake_id": "string", "workspace_id": "string" } ], "next_cursor": "string", "total": { "actual_wake_count": 0, "charged_wall_time": "string", "input_tokens": 0, "output_tokens": 0, "reserved_wake_count": 0, "unavailable_wake_count": 0, "wake_count": 0 }, "workspace_id": "string" }}/api/task-runs/{id}/failPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/task-runs/string/fail" \ -H "Content-Type: application/json" \ -d '{ "error": "string" }'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/task-runs/{id}/reviewsPath Parameters
Task run id
Query Parameters
Filter by review status
Value in
- "requested"
- "routed"
- "in_review"
- "recorded"
- "circuit_opened"
- "canceled"
Filter by reviewer session id
Maximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/task-runs/string/reviews"{ "reviews": [ { "attempt": 0, "confidence": 0, "created_at": "2019-08-24T14:15:22Z", "deadline_at": "2019-08-24T14:15:22Z", "delivery_id": "string", "missing_work": null, "next_round_guidance": "string", "outcome": "approved", "parent_review_id": "string", "policy": "none", "reason": "string", "requested_at": "2019-08-24T14:15:22Z", "review_id": "string", "review_round": 0, "review_text": "string", "reviewed_at": "2019-08-24T14:15:22Z", "reviewed_by": { "kind": "human", "ref": "string" }, "reviewer_agent_name": "string", "reviewer_channel_id": "string", "reviewer_peer_id": "string", "reviewer_session_id": "string", "routed_at": "2019-08-24T14:15:22Z", "run_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "requested", "task_id": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}/api/task-runs/{id}/reviewsPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/task-runs/string/reviews" \ -H "Content-Type: application/json" \ -d '{ "deadline_at": "2019-08-24T14:15:22Z", "run_id": "string", "task_id": "string" }'{ "created": true, "review": { "attempt": 0, "confidence": 0, "created_at": "2019-08-24T14:15:22Z", "deadline_at": "2019-08-24T14:15:22Z", "delivery_id": "string", "missing_work": null, "next_round_guidance": "string", "outcome": "approved", "parent_review_id": "string", "policy": "none", "reason": "string", "requested_at": "2019-08-24T14:15:22Z", "review_id": "string", "review_round": 0, "review_text": "string", "reviewed_at": "2019-08-24T14:15:22Z", "reviewed_by": { "kind": "human", "ref": "string" }, "reviewer_agent_name": "string", "reviewer_channel_id": "string", "reviewer_peer_id": "string", "reviewer_session_id": "string", "routed_at": "2019-08-24T14:15:22Z", "run_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "requested", "task_id": "string", "updated_at": "2019-08-24T14:15:22Z" }}/api/task-runs/{id}/startPath Parameters
Task run id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/task-runs/string/start" \ -H "Content-Type: application/json" \ -d '{}'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }}/api/tasksQuery Parameters
Filter by catalog visibility
Value in
- "all"
- "global"
- "workspace"
Filter by workspace path, name, or ID
Filter by task status
Value in
- "draft"
- "pending"
- "blocked"
- "needs_attention"
- "ready"
- "in_progress"
- "completed"
- "failed"
- "canceled"
Filter by task priority
Value in
- "low"
- "medium"
- "high"
- "urgent"
Include draft tasks in list results
Filter by task approval state
Value in
- "not_required"
- "pending"
- "approved"
- "rejected"
Filter by owner kind
Value in
- "human"
- "agent_session"
- "automation"
- "extension"
- "network_peer"
- "pool"
Filter by owner reference
Filter by parent task ID
Filter by resolved participation channel
Filter by task title or identifier
Order by recent activity or priority
Value in
- "recent"
- "priority"
Opaque query-bound continuation cursor
Page size from 1 to 200 (default 50)
int32Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/tasks"{ "facets": { "owners": [ { "count": 0, "owner": { "kind": "human", "ref": "string" } } ], "statuses": [ { "count": 0, "status": "draft" } ] }, "page": { "has_more": true, "limit": 0, "next_cursor": "string", "total": 0 }, "tasks": [ { "active_run": { "attempt": 0, "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependency_count": 0, "draft": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } ]}/api/tasksRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tasks" \ -H "Content-Type: application/json" \ -d '{ "scope": "global", "title": "string" }'{ "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }}/api/tasks/{id}Path Parameters
Task id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/tasks/string"{ "task": { "children": [ { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } ], "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_references": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "designation_rollups": [ { "created_at": "2019-08-24T14:15:22Z", "designation_group_id": "string", "summary": null, "task_id": "string" } ], "events": [ { "actor": { "kind": "human", "ref": "string" }, "event_type": "string", "id": "string", "origin": { "kind": "cli", "ref": "string" }, "payload": null, "run_id": "string", "task_id": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "runs": [ { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" } ], "summary": { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }, "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } }}/api/tasks/{id}Path Parameters
Task id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/tasks/string" \ -H "Content-Type: application/json" \ -d '{}'{ "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }}/api/tasks/{id}Path Parameters
Task id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/tasks/string"/api/tasks/{id}/approvePath Parameters
Task id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tasks/string/approve" \ -H "Content-Type: application/json" \ -d '{}'{ "run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }}/api/tasks/{id}/blocksPath Parameters
Task id
Query Parameters
Include cleared task blocks
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/tasks/string/blocks"{ "blocks": [ { "clear_note": "string", "cleared_at": "2019-08-24T14:15:22Z", "cleared_by": { "kind": "human", "ref": "string" }, "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "details": null, "expires_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "needs_input", "reason": "string", "task_id": "string", "workspace_id": "string" } ]}/api/tasks/{id}/blocksPath Parameters
Task id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tasks/string/blocks" \ -H "Content-Type: application/json" \ -d '{ "kind": "needs_input", "reason": "string" }'{ "block": { "clear_note": "string", "cleared_at": "2019-08-24T14:15:22Z", "cleared_by": { "kind": "human", "ref": "string" }, "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "details": null, "expires_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "needs_input", "reason": "string", "task_id": "string", "workspace_id": "string" }}/api/tasks/{id}/blocks/{block_id}/clearPath Parameters
Task id
Task block id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tasks/string/blocks/string/clear" \ -H "Content-Type: application/json" \ -d '{}'{ "block": { "clear_note": "string", "cleared_at": "2019-08-24T14:15:22Z", "cleared_by": { "kind": "human", "ref": "string" }, "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "details": null, "expires_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "needs_input", "reason": "string", "task_id": "string", "workspace_id": "string" }}/api/tasks/{id}/cancelPath Parameters
Task id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tasks/string/cancel" \ -H "Content-Type: application/json" \ -d '{}'{ "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }}/api/tasks/{id}/childrenPath Parameters
Parent task id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tasks/string/children" \ -H "Content-Type: application/json" \ -d '{ "scope": "global", "title": "string" }'{ "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }}/api/tasks/{id}/dependenciesPath Parameters
Task id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/tasks/string/dependencies" \ -H "Content-Type: application/json" \ -d '{ "depends_on_task_id": "string" }'{ "task": { "children": [ { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } ], "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_references": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "designation_rollups": [ { "created_at": "2019-08-24T14:15:22Z", "designation_group_id": "string", "summary": null, "task_id": "string" } ], "events": [ { "actor": { "kind": "human", "ref": "string" }, "event_type": "string", "id": "string", "origin": { "kind": "cli", "ref": "string" }, "payload": null, "run_id": "string", "task_id": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "runs": [ { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" } ], "summary": { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }, "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } }}/api/tasks/{id}/dependencies/{depends_on_id}Path Parameters
Task id
Dependency task id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/tasks/string/dependencies/string"{ "task": { "children": [ { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } ], "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_references": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "designation_rollups": [ { "created_at": "2019-08-24T14:15:22Z", "designation_group_id": "string", "summary": null, "task_id": "string" } ], "events": [ { "actor": { "kind": "human", "ref": "string" }, "event_type": "string", "id": "string", "origin": { "kind": "cli", "ref": "string" }, "payload": null, "run_id": "string", "task_id": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "runs": [ { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "idempotency_key": "string", "lease_until": "2019-08-24T14:15:22Z", "metadata": null, "origin": { "kind": "cli", "ref": "string" }, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "result": null, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" } ], "summary": { "active_run": { "attempt": 0, "claim_token_hash": "string", "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": { "kind": "human", "ref": "string" }, "coordination_channel": { "allowed_message_kinds": [ "status" ], "display_name": "string", "id": "string", "last_activity_at": "2019-08-24T14:15:22Z", "purpose": "string", "run_id": "string", "task_id": "string", "workflow_id": "string", "workspace_id": "string" }, "designation": { "brief": "string", "index": 0 }, "designation_group_id": "string", "ended_at": "2019-08-24T14:15:22Z", "error": "string", "failure_kind": "string", "heartbeat_at": "2019-08-24T14:15:22Z", "id": "string", "lease_until": "2019-08-24T14:15:22Z", "max_attempts": 0, "previous_run_id": "string", "queued_at": "2019-08-24T14:15:22Z", "recovery_count": 0, "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "session_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "queued", "task_id": "string" }, "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "child_count": 0, "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "dependencies": [ { "created_at": "2019-08-24T14:15:22Z", "depends_on": { "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "owner": { "kind": "human", "ref": "string" }, "paused": true, "paused_by_task_id": "string", "priority": "low", "scope": "global", "status": "draft", "title": "string", "workspace_id": "string" }, "depends_on_task_id": "string", "kind": "blocks", "task_id": "string" } ], "dependency_count": 0, "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "last_activity_at": "2019-08-24T14:15:22Z", "latest_event_seq": 0, "max_attempts": 0, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" }, "task": { "approval_policy": "none", "approval_state": "not_required", "auto_enqueue_on_ready": true, "blocked_reasons": [ { "block_id": "string", "depends_on_task_ids": [ "string" ], "kind": "needs_input", "reason": "string", "source": "dependency" } ], "closed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "created_by": { "kind": "human", "ref": "string" }, "current_run_id": "string", "description": "string", "draft": true, "effective_paused": true, "id": "string", "identifier": "string", "latest_event_seq": 0, "max_attempts": 0, "metadata": null, "needs_attention": true, "needs_attention_at": "2019-08-24T14:15:22Z", "needs_attention_by": { "kind": "human", "ref": "string" }, "needs_attention_reason": "string", "origin": { "kind": "cli", "ref": "string" }, "owner": { "kind": "human", "ref": "string" }, "parent_task_id": "string", "paused": true, "paused_at": "2019-08-24T14:15:22Z", "paused_by": "string", "paused_by_task_id": "string", "paused_reason": "string", "priority": "low", "resolved_network_participation": { "mode": "local", "source": "explicit_request", "version": "network-participation/v1" }, "scope": "global", "status": "draft", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "wake_creator": true, "workspace_id": "string" } }}/api/tasks/{id}/execution-profilePath Parameters
Task id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/tasks/string/execution-profile"{ "profile": { "coordinator": { "agent_name": "string", "guidance": "string", "mode": "inherit", "model": "string", "provider": "string" }, "created_at": "2019-08-24T14:15:22Z", "network_participation": { "mode": "local" }, "participants": { "allowed_agent_names": [ "string" ], "allowed_channel_ids": [ "string" ], "allowed_peer_ids": [ "string" ], "preferred_agent_names": [ "string" ], "preferred_capabilities": [ "string" ], "preferred_channel_ids": [ "string" ], "preferred_peer_ids": [ "string" ], "required_capabilities": [ "string" ] }, "review": { "agent_name": "string", "allowed_agent_names": [ "string" ], "allowed_channel_ids": [ "string" ], "allowed_peer_ids": [ "string" ], "model": "string", "preferred_agent_names": [ "string" ], "preferred_capabilities": [ "string" ], "preferred_channel_ids": [ "string" ], "preferred_peer_ids": [ "string" ], "provider": "string", "required_capabilities": [ "string" ] }, "runtime": { "mode": "default" }, "sandbox": { "mode": "inherit", "sandbox_ref": "string" }, "task_id": "string", "updated_at": "2019-08-24T14:15:22Z", "worker": { "agent_name": "string", "allowed_agent_names": [ "string" ], "mode": "inherit", "model": "string", "preferred_agent_names": [ "string" ], "preferred_capabilities": [ "string" ], "provider": "string", "required_capabilities": [ "string" ] } }}/api/tasks/{id}/execution-profilePath Parameters
Task id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/tasks/string/execution-profile"/api/tasks/{id}/execution-profilePath Parameters
Task id
Request Body
[...]
